{% extends "references_manager/base.html" %}
{% load crispy_forms_tags %}

{% block title %}- Search by dimension{% endblock %}

{% block content %}

<div class="container col-12">
    <div class="container bg-white rounded shadow">
        <form method="GET" action="{% url 'search-by-dimension' %}" >
            <div class="row">

                <div class="col-md-6">
                    <h2>Search by dimension:</h2>
                    <div class="form-row">
                        <div class="form-group col-md-6">
                            <label for="a_min">A min:</label>
                            <input type="number" step="0.01" class="form-control mr-sm-3" name="a_min" value="{{ request.GET.a_min }}" placeholder="0.00" id="a_min">
                        </div>
                        <div class="form-group col-md-6">
                            <label for="a_max">A max:</label>
                            <input type="number" step="0.01" class="form-control mr-sm-3" name="a_max" value="{{ request.GET.a_max }}" placeholder="0.00" id="a_max">
                        </div>
                        <div class="form-group col-md-6">
                            <label for="b_min">B min:</label>
                            <input type="number" step="0.01" class="form-control mr-sm-3" name="b_min" value="{{ request.GET.b_min }}" placeholder="0.00" id="b_min">
                        </div>
                        <div class="form-group col-md-6">
                            <label for="b_max">B max:</label>
                            <input type="number" step="0.01" class="form-control mr-sm-3" name="b_max" value="{{ request.GET.b_max }}" placeholder="0.00" id="b_max">
                        </div>
                        <div class="form-group col-md-6">
                            <label for="c_min">C min:</label>
                            <input type="number" step="0.01" class="form-control mr-sm-3" name="c_min" value="{{ request.GET.c_min }}" placeholder="0.00" id="c_min">
                        </div>
                        <div class="form-group col-md-6">
                            <label for="c_max">C max:</label>
                            <input type="number" step="0.01" class="form-control mr-sm-3" name="c_max" value="{{ request.GET.c_max }}" placeholder="0.00" id="c_max">
                        </div>
                        <div class="form-group col-md-6">
                            <p>Search in: </p>
                            {% for type in types %}
                            <input type="radio" id="{{ type.name }}" name="types" value="{{ type.name }}">
                            <label for="{{ type.name }}">{{ type.name }}</label><br>
                            {% endfor %}
                        </div>
                        <div class="form-group col-md-12">
                            <button type="submit" class="btn btn-info"><span class="fa fa-search"></span> Search</button>
                        </div>
                    </div>
                </div>
                <div class="col-md-6">
                    {% for type in types %}
                        <img class="img-fluid rounded my-3" src="{{ type.image.url }}" alt="">
                    {% endfor %}
                </div>
            </div>

        </form>
    </div>
</div>
{% endblock content %}